# Class goog.labs.testing.ContainsStringMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The ContainsString matcher.

## Constructor

goog.labs.testing.ContainsStringMatcher ( value )

Parameters

value: `string`
  The expected string.

Show:Public Protected Private

## Instance Methods

code »describe ( actualValue ) ⇒ `string`

Parameters

actualValue

code »matches ( actualValue ) ⇒ `boolean`

Determines if input string contains the expected string.

Parameters

actualValue

## Instance Properties

code »value_ : `string`